=== opendivx/Makefile ===

LIBNAME = libdecore.a

include ../config.mak

SRCS	= postprocess.c
ifneq ($(DIVX4LINUX),yes)
SRCS+= basic_prediction.c decore.c getbits.c idct.c mp4_block.c mp4_decoder.c mp4_header.c mp4_mblock.c mp4_picture.c mp4_predict.c mp4_recon.c mp4_vld.c
endif

OBJS	= $(SRCS:.c=.o)
INCLUDE = -I. -I.. -I../libmpeg2 $(EXTRA_INC)
CFLAGS  = $(OPTFLAGS) $(INCLUDE) -D_DECORE -DO_BINARY=0 -DLINUX 

.SUFFIXES: .c .o

# .PHONY: all clean

.c.o:
	$(CC) -c $(CFLAGS) -o $@ $<

$(LIBNAME):	$(OBJS)
	$(AR) r $(LIBNAME) $(OBJS)

all:	$(LIBNAME)

clean:
	rm -f *.o *.a *~

distclean:
	rm -f Makefile.bak *.o *.a *~ .depend

dep:    depend

depend:
	$(CC) -MM $(CFLAGS) $(SRCS) 1>.depend

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif
