=== debian/changelog ===
mplayer (0.60pre2-1) unstable; urgency=low

  * 0.60 pre2 release

 -- Dariush Pietrzak <eyck@ghost.anime.pl>  Fri, 28 Dec 2001 22:12:54 +0100

mplayer (0.60pre1-1) unstable; urgency=low

  * 0.60 pre-release.

 -- Dariush Pietrzak <eyck@ghost.anime.pl>  Tue, 25 Dec 2001 00:47:36 +0100

mplayer (0.50-3) unstable; urgency=low

  * debian/rules: improve install routine; will include mencore if it is
    built
  * debian/control: remove invalid source recommends
  * debian/copyright: mention that binary distribution is not allowed
  * debian/rules: install /usr/share/mplayer/codecs.conf; this should
    probably be a config file
  * turn on fbdev option

 -- Adam Di Carlo <aph@debian.org>  Sat, 15 Dec 2001 03:33:44 -0500

mplayer (0.50-2) unstable; urgency=low

  * gui added to package/menu 

 -- Dariush Pietrzak <eyck@ghost.anime.pl>  Wed,  7 Nov 2001 11:31:46 +0100

mplayer (0.50-1) unstable; urgency=low

  * 0.50 released.

 -- Dariush Pietrzak <eyck@ghost.anime.pl>  Fri, 12 Oct 2001 13:26:03 +0200

mplayer (0.18-4) unstable; urgency=low

  * Changes to debian packaging suggested Josip Rodin 

 -- Dariush Pietrzak <eyck@ghost.forumakad.pl>  Wed, 22 Aug 2001 22:40:58 +0200

mplayer (0.18-3) unstable; urgency=low

  * fixed templates. 

 -- Dariush Pietrzak <eyck@ghost.tinet.pl>  Sat, 28 Jul 2001 09:45:45 +0200

mplayer (0.18-2) unstable; urgency=low

  * modified debian scripts 

 -- Dariush Pietrzak <eyck@ghost.tinet.pl>  Fri, 27 Jul 2001 09:25:52 +0200

mplayer (0.18-1) unstable; urgency=low

  * lots of changes in mplayer 

 -- Dariush Pietrzak <eyck@incubus.ar.lublin.pl>  Mon, 25 Jun 2001 15:59:18 +0200

mplayer (0.17a-2) unstable; urgency=low

  * mplayer.conf file, automatic menu files update 

 -- Dariush Pietrzak <eyck@incubus.ar.lublin.pl>  Sun, 20 May 2001 22:50:41 +0200

mplayer (0.17a-1) unstable; urgency=low

  * Version change, debian scripts update (rm), maintainer switch

 -- Dariush Pietrzak <eyck@incubus.ar.lublin.pl>  Thu, 17 May 2001 13:25:12 +0200

mplayer (0.11pre-1) unstable; urgency=low

  * Initial release.

 -- * TeLeNiEkO * <telenieko@telenieko.com>  Mon, 26 Feb 2001 12:24:04 +0100

Local variables:
mode: debian-changelog
End:
